# -*- coding: utf-8 -*-
#
# File: setuphandlers.py
#
# Copyright (c) 2009 by 7 Tech NW
# Generator: ArchGenXML Version 2.3
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Richard Amerman <unknown>, Larry Pitcher <unknown>"""
__docformat__ = 'plaintext'


import logging
logger = logging.getLogger('EDUContent: setuphandlers')
from Products.EDUContent.config import PROJECTNAME
from Products.EDUContent.config import DEPENDENCIES
import os
from Products.CMFCore.utils import getToolByName
import transaction
##code-section HEAD
##/code-section HEAD

def isNotEDUContentProfile(context):
    return context.readDataFile("EDUContent_marker.txt") is None



def updateRoleMappings(context):
    """after workflow changed update the roles mapping. this is like pressing
    the button 'Update Security Setting' and portal_workflow"""
    if isNotEDUContentProfile(context): return 
    wft = getToolByName(context.getSite(), 'portal_workflow')
    wft.updateRoleMappings()

def postInstall(context):
    """Called as at the end of the setup process. """
    # the right place for your custom code
    site = context.getSite()



##code-section FOOT
##/code-section FOOT
