## Script (Python) "selectTheme"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##

# Sets the member's Theme, based on user roles.
# There are different Themes for Primary students,
# Secondary students, and Teachers. Each member is
# assumed to have an appropriate role assigned.

from Products.CMFCore.utils import getToolByName

skins_tool = getToolByName(context, 'portal_skins')
mtool = getToolByName(context, 'portal_membership')
themes = skins_tool.getSkinSelections()
member = mtool.getAuthenticatedMember()

if member.has_role('Educator', context):
    if 'OSLIS Educator Theme' in themes:
        member.setProperties(portal_skin = 'OSLIS Educator Theme')
        skins_tool.updateSkinCookie()
        return 1
elif member.has_role('Secondary', context):
    if 'OSLIS Secondary Theme' in themes:
        member.setProperties(portal_skin = 'OSLIS Secondary Theme')
        skins_tool.updateSkinCookie()
        return 1
elif member.has_role('Elemantary', context):
    if 'OSLIS Secondary Theme' in themes:
        member.setProperties(portal_skin = 'OSLIS Elementary Theme')
        skins_tool.updateSkinCookie()
        return 1
# No 'Primary' role/group any more?
#elif 'Primary' in groups:
#    if 'OSLIS Primary Theme' in themes:
#        member.setProperties(portal_skin = 'OSLIS Primary Theme')
#        skins_tool.updateSkinCookie()
#        return 1

# REA: I think this is countering the URL skin switching so turning off as it is not really needed
#
#else:
#    if 'OSLIS Primary Theme' in themes:
#        member.setProperties(portal_skin = 'OSLIS Primary Theme')
#    else:
#        member.setProperties(portal_skin = 'Plone Default')

return 1

